<hr>

<form method="post" action="/portal/<?= $urlSection . '/' . $action . (($action == ACT_EDIT) ? '/' . $incidentType['id_incident_type'] : ''); ?>">
  <input type="hidden" name="csrf-token" value="<?= $csrfToken ?>">

  <?php $input = 'name'; ?>
  <div class="mb-3">
    <label for="<?= $formPrefix . $input ?>" class="form-label">Název</label>
    <input type="text" class="form-control" id="<?= $formPrefix . $input ?>" name="<?= $formPrefix . $input ?>" maxlength="<?= $inputsMaxLengths[$input] ?>" value="<?= $inputsValues[$input] ?>" required aria-describedby="<?= $input ?>Help">
    <div id="<?= $input ?>Help" class="form-text">Název slouží k&nbsp;identifikaci v&nbsp;rámci systému.</div>
  </div>

  <?php $input = 'description'; ?>
  <div class="mb-3">
    <label for="<?= $formPrefix . $input ?>" class="form-label">Popis</label>
    <input type="text" class="form-control" id="<?= $formPrefix . $input ?>" name="<?= $formPrefix . $input ?>" maxlength="<?= $inputsMaxLengths[$input] ?>" value="<?= $inputsValues[$input] ?>" required aria-describedby="<?= $input ?>Help">
    <div id="<?= $input ?>Help" class="form-text">Krátký popis sloužící k&nbsp;odlišení mezi dalšími podobnými typy incidentů.</div>
  </div>

  <?php $input = 'color'; ?>
  <div class="mb-3">
    <label for="<?= $formPrefix . $input ?>" class="form-label">Barva</label>
    <input type="color" class="form-control form-control-color" id="<?= $formPrefix . $input ?>" name="<?= $formPrefix . $input ?>" maxlength="<?= $inputsMaxLengths[$input] ?>" value="<?= $inputsValues[$input] ?>" required aria-describedby="<?= $input ?>Help">
    <div id="<?= $input ?>Help" class="form-text">Barva v&nbsp;HEX formátu (včetně znaku <code>#</code>), která se použije pro barevné odlišení typů incidentů (např. v&nbsp;grafu).</div>
  </div>

  <div class="text-center">
    <button type="submit" class="btn btn-primary btn-lg" name="<?= $formPrefix . $action; ?>">
      <span data-feather="save"></span>
      <?= ($action == ACT_NEW) ? 'Přidat' : 'Uložit změny'; ?>
    </button>
  </div>
</form>