<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h2><?php if ($action == ACT_EDIT): ?>Úprava incidentu<?php else: ?>Nový incident<?php endif; ?></h2>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group me-2">
      <a href="<?= $helpLink ?>" target="_blank" class="btn btn-outline-info" role="button">
        <span data-feather="help-circle"></span>
      </a>
      <?php if ($action == ACT_EDIT): ?>
      <a href="/portal/list-incidents" class="btn btn-info" role="button">
        <span data-feather="list"></span>
        Seznam incidentů
      </a>
      <?php else: ?>
      <a href="/portal/<?= $urlSection ?>/reset-form" class="btn btn-info" role="button" onclick="if (!confirm('Opravdu chcete odstranit tento záznam?')) return false;">
        <span data-feather="trash"></span>
        Smazat formulář
      </a>
      <?php endif; ?>
    </div>
  </div>
</div>

<p>Tento formulář slouží pro založení <strong>nového bezpečnostního incidentu</strong>. Řešení bezpečnostního incidentu se skládá z&nbsp;<strong>několika kroků</strong>, kterými je nutné postupně projít.</p>

<?php require 'header-incident-steps.php' ?>