<hr>

<?php if (count($incidents) > 0): ?>
<div class="table-responsive">
  <table class="table table-striped table-hover align-middle records-list">
    <thead>
      <tr>
        <th scope="col">Typ incidentu</th>
        <th scope="col">Poslední stav</th>
        <th scope="col">IP adresa</th>
        <th scope="col">Uživatel</th>
        <th scope="col">Síť</th>
        <th scope="col">Vznik incidentu</th>
        <th scope="col">Zablokováno</th>
        <th scope="col">Přidal</th>
        <th scope="col" style="width: 120px">RT stěžovatele</th>
        <th scope="col" style="width: 110px">RT incidentu</th>
        <th scope="col"></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach ($incidents as $incident): ?>
      <tr>
        <td>
          <span class="badge" style="background: <?= $incident['color'] ?>">&nbsp;</span>&nbsp;<i><?= $incident['name'] ?></i>
        </td>
        <td>
          <span class="badge bg-secondary"><?= $incident['id_status'] ?></span>&nbsp;<?= $incident['title'] ?>
        </td>
        <td>
          <code><?= $incident['blocked_ip'] ?></code>
        </td>
        <td>
          <?php if ($incident['user_from_organization']): ?>
          <a href="https://whois3.zcu.cz/web1/formServlet?login=<?= $incident['blocked_user'] ?>&amp;odeslat.x=0&amp;odeslat.y=0&amp;formular=~~" target="_blank" class="btn btn-outline-dark btn-sm" role="button">
            <span data-feather="user"></span>
            <?= $incident['blocked_user'] ?>
          </a>
          <?php else: ?>
          <?= $incident['blocked_user'] ?>
          <?php endif; ?>
        </td>
        <td><?= $incident['network'] ?></td>
        <td><?= $incident['incident_datetime'] ?></td>
        <td>
          <?= $incident['date_added'] ?>
          <span class="badge bg-<?= $incident['reaction_speed_color'] ?> cursor-help" title="Rychlost reakce &ndash; po jaké době došlo k zablokování">+<?= $incident['reaction_speed'] ?>&nbsp;h</span>
        </td>
        <td>
          <span class="badge bg-danger"><?= $incident['username'] ?></span>
        </td>
        <td>
          <?php if ($incident['id_parent_ticket'] != null): ?>
          <a href="https://rt.zcu.cz/rt/Ticket/Display.html?id=<?= $incident['id_parent_ticket'] ?>" target="_blank" class="btn btn-outline-secondary btn-sm" role="button">
            <span data-feather="eye"></span>
            RT&nbsp;<?= $incident['id_parent_ticket'] ?>
          </a>
          <?php else: ?>
          &ndash;
          <?php endif; ?>
        </td>
        <td>
          <a href="https://rt.zcu.cz/rt/Ticket/Display.html?id=<?= $incident['id_child_ticket'] ?>" target="_blank" class="btn btn-outline-secondary btn-sm" role="button">
            <span data-feather="eye"></span>
            RT&nbsp;<?= $incident['id_child_ticket'] ?>
          </a>
        </td>
        <td>
          <a href="/portal/<?= $urlSection . '/' . ACT_EDIT . '/' . $incident['id_incident'] . (($incident['id_status'] != INCIDENT_FINAL_STEP_ID) ? '?step=' . ($incident['id_status'] + 1) : '') ?>" class="btn btn-primary btn-sm" role="button">
            <span data-feather="edit-2"></span>
            Upravit
          </a>
        </td>
      </tr>
      <?php endforeach; ?>
    </tbody>
  </table>
</div>
<?php endif; ?>